Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.platform
Class PlatformProvider

    java.lang.Object
      com.twitterapime.platform.PlatformProvider

    public final class PlatformProvider

extends java.lang.Object

This class defines a platform provider which represents a given platform supported by Twitter API ME.

Since:
  1.0
Version:
  1.1
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)
See Also:
  `PlatformProviderSelector`

Field Summary
`static int` | `PPID_ANDROID` Constant that identifies the platform provider ID that represents the Android platform.
`static int` | `PPID_JAVA_ME` Constant that identifies the platform provider ID that represents the Java Micro Edition platform.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`long` | `getID()` Get the platform provider ID.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PPID_JAVA_ME

    public static final int PPID_JAVA_ME

  Constant that identifies the platform provider ID that represents the Java Micro Edition platform.

  See Also:
    Constant Field Values

### PPID_ANDROID

    public static final int PPID_ANDROID

  Constant that identifies the platform provider ID that represents the Android platform.

  Coming soon!

  See Also:
    Constant Field Values

Method Detail

### getID

    public long getID()

  Get the platform provider ID.

  Returns:
    The platform ID.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.